<?xml version="1.0" encoding="UTF-8"?>

<document>
  <properties>
    <title>Maven JBoss Plug-in Goals</title>
    <author email="vmassol@apache.org">Vincent Massol</author>
  </properties>
  <body>
    <goals>
      <goal>
        <name>jboss</name>
        <description>
          Default goal. Does the same as <code>jboss:package</code>.
        </description>
      </goal>
      <goal>
        <name>jboss:configure</name>
        <description>
          Creates a custom JBoss server configuration directory structure
          (with no J2EE modules deployed in it).
        </description>
      </goal>
      <goal>
        <name>jboss:package</name>
        <description>
          Calls the <code>jboss:configure</code> goal and deploys all J2EE
          modules marked with the
          <code>&lt;jboss.bundle&gt;true&lt;/jboss.bundle&gt;</code>
          property in the project dependency definition.
        </description>
      </goal>
      <goal>
        <name>jboss:start</name>
        <description>
          Starts JBoss using our specific server configuration.
        </description>
      </goal>
      <goal>
        <name>jboss:stop</name>
        <description>
          Stops JBoss.
        </description>
      </goal>
      <goal>
        <name>jboss:deploy-exploded-warfile</name>
        <description>
          Invoke the <code>war:webapp</code> goal and deploy the result,
          using JMX. Note that <code>maven.war.webapp.dir</code> *must* end 
          with <code>.war</code> for this to work correctly.
        </description>
      </goal>
      <goal>
        <name>jboss:undeploy-exploded-warfile</name>
        <description>
          Undeploy the result of the <code>war:webapp</code> goal,
          using JMX. Note that <code>maven.war.webapp.dir</code> *must* end 
          with <code>.war</code> for this to work correctly.
        </description>
      </goal>
      <goal>
        <name>jboss:deploy-warfile</name>
        <description>
          Invoke the <code>war:war</code> goal and deploy the result, using 
          JMX.
        </description>
      </goal>
      <goal>
        <name>jboss:undeploy-warfile</name>
        <description>
          Undeploy the result of the <code>war:war</code> goal, using JMX.
        </description>
      </goal>
      <goal>
        <name>jboss:deploy-ejb</name>
        <description>
          Deploy <code>${maven.final.name}.jar</code>, using JMX.
        </description>
      </goal>
      <goal>
        <name>jboss:undeploy-ejb</name>
        <description>
          Undeploy <code>${maven.final.name}.jar</code>, using JMX.
        </description>
      </goal>
      <goal>
        <name>jboss:deploy-ear</name>
        <description>
          Deploy <code>${maven.final.name}.ear</code>, using JMX.
        </description>
      </goal>
      <goal>
        <name>jboss:undeploy-ear</name>
        <description>
          Undeploy <code>${maven.final.name}.ear</code>, using JMX.
        </description>
      </goal>
    </goals>
  </body>
</document>